## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check

%global crate difftastic

Name:           rust-difftastic
Version:        0.45.0
Release:        %autorelease
Summary:        Structural diff that understands syntax

License:        MIT
URL:            https://crates.io/crates/difftastic
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * unpin assert_cmd and downgrade to 2.0.4 that is in EPEL 9
# * unpin libmimalloc-sys
# * unpin predicates
Patch:          difftastic-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A structural diff that understands syntax.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        (Apache-2.0 OR MIT) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND MIT AND (MIT OR Unlicense) AND Zlib
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%if 0%{?fedora}
%license LICENSE.dependencies
%endif
%doc README.md
%{_bindir}/difft

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%if 0%{?fedora}
%{cargo_license} > LICENSE.dependencies
%endif

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Mar 06 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.45.0-2
- Lower minimum version of assert_cmd to 2.0.4 (2.0.8 needs cargo2rpm,
  2.0.5 was never packaged)
- rebuild against libmimalloc-sys 0.1.30

* Sat Mar 04 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.45.0-1
- Update to 0.45.0

* Wed Feb 15 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.43.1-1
- Update to 0.43.1

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.42.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.42.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.42.0-1
- Update to 0.42.0

* Thu Jan 05 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.39.0-1
- Initial Fedora package
